; File......: NOVPURGE.ASM
; Author....: David Minter
; CIS ID....: 76247,3475
; Date......: $Date:   02 Apr 1991 18:25:12  $
; Revision..: $Revision:   1.0  $
; Log file..: $Logfile:   E:/nanfor/src/novpurge.asv  $
;
;	This is an original work by David Minter and hereby placed into
;	the public domain.
;
; Modification history:
; ---------------------
;
; $Log:   E:/nanfor/src/novpurge.asv  $
;  
;     Rev 1.0   02 Apr 1991 18:25:12   GLENN
;  Nanforum Toolkit
;
;



; $DOC$
; $FUNCNAME$ 
;    FT_NOVPURGE()
; $CATEGORY$
;    Netware
; $ONELINER$
;    Purges all deleted files on a Novell server
; $SYNTAX$
;    FT_NOVPURGE() -> lTemp
; $ARGUMENTS$
;    None
; $RETURNS$
;    .T. if successfull, otherwise .F.
; $DESCRIPTION$
;   This function is to purge those files that a workstation has
;   previously deleted.  This function only works on a Novell network.
; $EXAMPLES$
;   ERASE FILE foo.bar
;   ERASE FILE foo2.bar
;   ERASE FILE foo3.bar
;   ? FT_NOVPURGE()
;
;   $END$



                include         minter.mac
extrn           __RETL:FAR
.MODEL	large, PASCAL
.data
req_buf		dw	1
subfun		db	16
rep_buf		dw	?
.CODE
FT_NOVPURGE         PROC    FAR

@SAVE  	ds,es,si,di

start:		mov	ax, @data
		mov	ds, ax
		mov	es, ax
		mov	si,OFFSET req_buf
		mov	di,OFFSET rep_buf

;; ***   set up the registers
		mov	ah,226
		mov	al,0

		int	21h

;; ***   copy to the return variable


@RESTORE	ds,es,si,di
                
                cmp     al,0
                je      purgeok
                mov     ax,0
                jmp     purgeret
purgeok:        mov     ax,1
purgeret:	push	ax
		call	__RETL
		add	sp,2
                ret
FT_NOVPURGE         ENDP
                END






